--- edit.c.orig	2012-10-01 00:08:42.000000000 -0400
+++ edit.c	2012-09-30 23:54:16.000000000 -0400
@@ -7,14 +7,14 @@
 
 
 #include <stdio.h>
+#include <string.h>
 
 #include "jgraph.h"
 
 #define MAX(a,b) ((a > b) ? a : b)
 #define MIN(a,b) ((a < b) ? a : b)
 
-edit_label(l)
-Label l;
+static void edit_label(Label l)
 {
   char *txt, inp_str[80];
   float f;
@@ -72,8 +72,7 @@ Label l;
   }
 }
 
-copy_curve(c1, c2) /* Copies curve c2 to c1 */
-Curve c1, c2;
+static void copy_curve(Curve c1, Curve c2) /* Copies curve c2 to c1 */
 {
   Flist f, newf;
   Point p, newp;
@@ -138,8 +137,7 @@ Curve c1, c2;
   c1->bezier = c2->bezier;
 }
 
-copy_label(l1, l2) /* Copies label l2 to l1 */
-Label l1, l2;
+void copy_label(Label l1, Label l2) /* Copies label l2 to l1 */
 {
   l1->label = l2->label;
   l1->x = l2->x;
@@ -156,8 +154,7 @@ Label l1, l2;
   l1->linesep = l2->linesep;
 }
 
-copy_axis(a1, a2) /* Copies axis a2 to a1 */
-Axis a1, a2;
+static void copy_axis(Axis a1, Axis a2) /* Copies axis a2 to a1 */
 {
   copy_label(a1->label, a2->label);
   copy_label(a1->hl, a2->hl);
@@ -201,10 +198,7 @@ Axis a1, a2;
   a1->is_x = a2->is_x;
 }
 
-Curve do_copy_curve(g, gs, all_gs)
-Graph g;
-Graphs gs;
-Graphs all_gs;
+static Curve do_copy_curve(Graph g, Graphs gs, Graphs all_gs)
 {
   Curve lastc, newc;
   Graph oldg;
@@ -254,10 +248,7 @@ Graphs all_gs;
   return newc; /* To shut lint up */
 }
 
-Label do_copy_string(g, gs, all_gs)
-Graph g;
-Graphs gs;
-Graphs all_gs;
+static Label do_copy_string(Graph g, Graphs gs, Graphs all_gs)
 {
   String lastl, newl;
   Graph oldg;
@@ -307,10 +298,7 @@ Graphs all_gs;
   }
 }
 
-Graph last_graph(g, gs, all_gs)
-Graph g;
-Graphs gs;
-Graphs all_gs;
+static Graph last_graph(Graph g, Graphs gs, Graphs all_gs)
 {
   Graph lastg;
 
@@ -329,8 +317,7 @@ Graphs all_gs;
   return lastg;
 }
 
-copy_legend(l1, l2)
-Legend l1, l2;
+static void copy_legend(Legend l1, Legend l2)
 {
   l1->linelength = l2->linelength;
   l1->linebreak = l2->linebreak;
@@ -339,9 +326,7 @@ Legend l1, l2;
   copy_label(l1->l, l2->l);
 }
 
-inherit_axes(g, lastg)
-Graph g;
-Graph lastg;
+static void inherit_axes(Graph g, Graph lastg)
 {
   char *s;
   copy_axis(g->x_axis, lastg->x_axis);
@@ -356,9 +341,7 @@ Graph lastg;
   g->title->label = s;
 }
 
-getpattern(inp_str, key, p, a)
-char *inp_str, *key, *p;
-float *a;
+static void getpattern(char *inp_str, char *key, char *p, float *a)
 {
   int i;
   float f;
@@ -385,9 +368,7 @@ float *a;
   return;
 }
 
-edit_curve(c, g)
-Curve c;
-Graph g;
+static void edit_curve(Curve c, Graph g)
 {
   char inp_str[256], *txt;
   float x, y, f, e1, e2;
@@ -680,8 +661,7 @@ Graph g;
   }
 }
 
-edit_hash_label(a)
-Axis a;
+static void edit_hash_label(Axis a)
 {
   float at, f;
   char *s;
@@ -731,8 +711,7 @@ Axis a;
   }
 }
 
-edit_axis(a)
-Axis a;
+static void edit_axis(Axis a)
 {
   char inp_str[256];
   float f;
@@ -907,8 +886,7 @@ Axis a;
   }
 }
 
-edit_legend(l)
-Legend l;
+static void edit_legend(Legend l)
 {
   char inp_str[256];
   float f;
@@ -974,10 +952,7 @@ Legend l;
   }
 }
 
-edit_graph(g, gs, all_gs)
-Graph g;
-Graphs gs;
-Graphs all_gs;
+static void edit_graph(Graph g, Graphs gs, Graphs all_gs)
 {
   char inp_str[80];
   int num;
@@ -1049,8 +1024,7 @@ Graphs all_gs;
   }
 }
 
-edit_graphs(gs)
-Graphs gs;
+void edit_graphs(Graphs gs)
 {
   Graphs the_g;
   Graph g, tmp_g;
